PUT api/prospects/get/{start}/{length}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| start | string |
Required |
|
| length | string |
Required |
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Prospect | CampaignPreviewDto |
None. |
|
| Person | PersonSearchDto |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
|
| SortOrder | string |
None. |
|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"prospect": {
"campaignId": "69b82d4a-04b2-40c7-ad41-ef808304ab13",
"toPersonIds": [
"828a570a-1acc-4807-ad32-f729d696ecbb",
"33f9fdb7-6832-47d8-b8d8-b6f31e714807"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"d3211052-4841-4ee5-83a0-c33889c7553d",
"2c8e5077-8164-4307-926d-3f8acf91adbb"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"9f2c9f43-45a8-47e4-b00e-b04fea9c155a",
"52ebbbcd-85e6-48a4-ba1e-ee04598c2857"
],
"filterOrderOnCampaigns": [
"2af2d1be-a693-47f7-8701-e1e616387d46",
"4622d82b-b333-40ba-b425-600d8ec1aad2"
],
"destinationType": "sample string 13"
},
"person": {
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-09-08T03:13:52.9342029+02:00",
"updatedTo": "2026-09-08T03:13:52.9342029+02:00",
"lastBuyFrom": "2026-09-08T03:13:52.9342029+02:00",
"lastBuyTo": "2026-09-08T03:13:52.9342029+02:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"2a3fb13c-c625-4445-8d77-1ef52515b2a6",
"753c17bd-a216-4114-b575-886f7dcd0be0"
],
"not": true,
"from": "2026-09-08T03:13:52.9342029+02:00",
"to": "2026-09-08T03:13:52.9498257+02:00"
},
"campaigns": {
"campaigns": [
"4bcd8f73-4595-4c77-8ba0-ed35c8508085",
"0a82c396-29c4-4c01-9f05-e398c860d254"
],
"not": true,
"from": "2026-09-08T03:13:52.9498257+02:00",
"to": "2026-09-08T03:13:52.9498257+02:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
},
"skip": 1,
"take": 2,
"sortOrder": "sample string 3",
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"9a286792-0d80-4b80-9ab6-22e99c13d163",
"2f2759fb-8038-4ad3-ad5c-81b8b31ec6d4"
],
"products": [
"aec06dd3-9d5c-4c16-92ec-c4db7d1979a4",
"ea5bdd41-ab20-4fed-831f-c59e8e4797c4"
],
"campaigns": [
"954da11e-5ba4-4f30-a0ac-5497088621c4",
"87d3fe20-dbaa-4bfc-a41e-82299fbb01ce"
],
"notReceivedMarketingInDays": 7,
"notPutOrderInDays": 8
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.